Skip to main content
POST
/
v2
/
aether
/
files
Create File
curl --request POST \
  --url https://api.example.com/v2/aether/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "mime_type": "application/octet-stream"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "mime_type": "<string>",
  "bucket": "<string>",
  "object_key": "<string>",
  "upload_url": "<string>",
  "size": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
mime_type
string
default:application/octet-stream

Response

Successful Response

id
string<uuid>
required
name
string
required
mime_type
string
required
bucket
string
required
object_key
string
required
upload_url
string | null
size
integer | null